Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Cannot use install_printer in debugger #5647

Closed
vicuna opened this issue Jun 13, 2012 · 1 comment

Comments

Projects
None yet
1 participant
@vicuna
Copy link

commented Jun 13, 2012

Original bug ID: 5647
Reporter: @garrigue
Assigned to: @xclerc
Status: closed (set by @xavierleroy on 2015-12-11T18:07:08Z)
Resolution: fixed
Priority: high
Severity: minor
Platform: Mac
OS: OSX
Version: 4.00.0+dev
Target version: 4.00.0+dev
Fixed in version: 4.00.0+dev
Category: tools (ocaml{lex,yacc,dep,debug,...})
Monitored by: mehdi

Bug description

Since topdirs.cmi was moved to compiler-libs, one gets the following error when using install_printer in ocamldebug:

tanpopo-essais> ocamldebug camlkb.byt
OCaml Debugger version 4.00.0+dev20_2012-06-04

(ocd) install_printer Pervasives.print_int
Unbound identifier Topdirs.printer_type_new

This can be solved by adding calling ocamldebug -I +compiler-libs, but then you get all the compiler libraries in your path.

@vicuna

This comment has been minimized.

Copy link
Author

commented Jul 9, 2012

Comment author: @xclerc

Fixed by enriching (at startup) the environment with the content of
Config.standard_library ^ "/compiler-libs/topdirs.cmi"

Committed in trunk (revision 12672) and 4.00 (revision 12673) branches.

@vicuna vicuna closed this Dec 11, 2015

@vicuna vicuna added this to the 4.00.0 milestone Mar 14, 2019

@vicuna vicuna added the bug label Mar 20, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.